//////////////////////////////////////////////////////////////////////////////////////////////////
//												//
// Hunter Flag Counter										//
// Created By: eM.Oxygen									//
//												//
// Copy this file to your tribes/config/							//
// Add this line to your autoexec.cs								//	
// Include("oxyhunter.cs");									//
//////////////////////////////////////////////////////////////////////////////////////////////////

$OXY::HunterFlagCount = 0;

function OXY::UpdatehudOXYHunter ()
{
	if ($OXY::HunterFlagCount == 1) 
		HUD::AddTextLine(hudOXYHunter, $OXY::HunterFlagCount @ " flag");
	else
		HUD::AddTextLine(hudOXYHunter, $OXY::HunterFlagCount @ " flags");		
	//return 2;	// 2 second delay before automatically calling back
}

function OXY::OXYHunterAddFlag (%client, %message)
{
	if ((String::findSubStr(%message, "You now have") != -1) && (String::findSubStr(%message, "flag") != -1)) {
		%flags = getWord(%message, 3);
		$OXY::HunterFlagCount = %flags;
		HUD::Update(hudOXYHunter);
	}
}

function OXY::OXYHunterKill (%killer, %victim, %weapon)
{
	%me = getManagerId();
	if ((%victim == %me) || (%victim == "")) {
		$OXY::HunterFlagCount = 0;
		HUD::Update(hudOXYHunter);
	}
}

function OXY::OXYHunterReset ()
{
	$OXY::HunterFlagCount = 0;
	HUD::Update(hudOXYHunter);
}

HUD::New(hudOXYHunter, OXY::UpdatehudOXYHunter, 6, 184, 120, 15);
HUD::Display(hudOXYHunter);

// Attach to update the hunter hud
Event::Attach(eventClientMessage, OXY::OXYHunterAddFlag); 
Event::Attach(eventKillTrak, OXY::OXYHunterKill);
Event::Attach(eventChangeMission, OXY::OXYHunterReset);
Event::Attach(eventConnected, OXY::OXYHunterReset);